## notmuch 0.29.3

=== contrib/notmuch-mutt/Makefile ===
NAME = notmuch-mutt

-include ../../Makefile.config
PERL_ABSOLUTE ?= $(shell command -v perl 2>/dev/null)
prefix ?= /usr/local
sysconfdir ?= ${prefix}/etc
mandir ?= ${prefix}/share/man

all: $(NAME) $(NAME).1

$(NAME).1: $(NAME)
	pod2man $< > $@

README.html: README
	markdown $< > $@

install: all
	mkdir -p $(DESTDIR)$(prefix)/bin
	sed "1s|^#!.*|#! $(PERL_ABSOLUTE)|" < $(NAME) > $(DESTDIR)$(prefix)/bin/$(NAME)
	chmod 755 $(DESTDIR)$(prefix)/bin/$(NAME)
	install -D -m 644 $(NAME).1 $(DESTDIR)$(mandir)/man1/$(NAME).1
	install -D -m 644 $(NAME).rc $(DESTDIR)$(sysconfdir)/Muttrc.d/$(NAME).rc

clean:
	rm -f notmuch-mutt.1 README.html

=== debian/changelog ===
notmuch (0.29.3-1ubuntu2) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 02 Mar 2020 16:35:24 +0000

notmuch (0.29.3-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Dec 2019 15:50:52 +0100

notmuch (0.29.3-1) unstable; urgency=medium

  * New upstream bugfix release.
    - fix use-after-free bug in libnotmuch
    - fix double close of file in "notmuch dump"

 -- David Bremner <bremner@debian.org>  Wed, 27 Nov 2019 08:19:57 -0400

notmuch (0.29.2-2) experimental; urgency=medium

  * Drop python-notmuch binary package.
  * Drop python2 build-dependency (Closes: #937161).
  * Convert to pybuild for python bindings

 -- David Bremner <bremner@debian.org>  Sat, 02 Nov 2019 18:21:06 -0300

notmuch (0.29.2-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2019 10:02:10 +0200

notmuch (0.29.2-1) unstable; urgency=medium

  * New upstream bug fix release: fix file descriptor leak with gzipped
    files. Thanks to James Troup for reporting and the fix.

 -- David Bremner <bremner@debian.org>  Sat, 19 Oct 2019 07:23:21 -0300

notmuch (0.29.1-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jul 2019 23:12:13 +0200

notmuch (0.28.4-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 May 2019 13:04:58 +0200

=== debian/control ===
Source: notmuch
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Carl Worth <cworth@debian.org>
Uploaders:
 Jameson Graef Rollins <jrollins@finestructure.net>,
 David Bremner <bremner@debian.org>
Build-Conflicts: ruby1.8, gdb [ia64 mips mips64el]
Build-Depends:
 dpkg-dev (>= 1.17.14),
 debhelper (>= 11~),
 pkg-config,
 libxapian-dev,
 libgmime-3.0-dev (>= 3.0.3~),
 libtalloc-dev,
 libz-dev,
 python3-all (>= 3.1.2-7~),
 dh-python,
 dh-elpa (>= 1.3),
 python3-sphinx,
 ruby, ruby-dev (>>1:1.9.3~),
 emacs-nox | emacs-gtk | emacs-lucid |
 emacs25-nox | emacs25 (>=25~) | emacs25-lucid (>=25~) |
 emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~),
 gdb [!ia64 !mips !mips64el !kfreebsd-any !alpha] <!nocheck>,
 dtach (>= 0.8) <!nocheck>,
 gpgsm <!nocheck>,
 gnupg <!nocheck>,
 bash-completion (>=1.9.0~),
 texinfo
Standards-Version: 4.1.3
Homepage: https://notmuchmail.org/
Vcs-Git: https://git.notmuchmail.org/git/notmuch -b release
Vcs-Browser: https://git.notmuchmail.org/git/notmuch

Package: notmuch
Architecture: any
Depends: libnotmuch5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: elpa-notmuch | notmuch-vim | notmuch-mutt | alot,  gnupg-agent, gpgsm
Description: thread-based email index, search and tagging
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains the notmuch command-line interface

Package: libnotmuch5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: thread-based email index, search and tagging (runtime)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains the runtime library, necessary to run
 applications using libnotmuch.

Package: libnotmuch-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libnotmuch5 (= ${binary:Version})
Description: thread-based email index, search and tagging (development)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides the necessary development libraries and header
 files to allow you to develop new software using libnotmuch.

Package: python3-notmuch
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, libnotmuch5 (>= ${source:Version})
Description: Python 3 interface to the notmuch mail search and index library
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a Python 3 interface to the notmuch
 functionality, directly interfacing with a shared notmuch library.

Package: ruby-notmuch
Architecture: any
Section: ruby
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ruby interface to the notmuch mail search and index library
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a Ruby interface to the notmuch
 functionality, directly interfacing with a shared notmuch library.

Package: notmuch-emacs
Section: oldlibs
Architecture: all
Depends: elpa-notmuch, ${misc:Depends}
Description: thread-based email index, search and tagging (transitional package)
 This dummy package help ease transition to the new package elpa-notmuch

Package: elpa-notmuch
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Description: thread-based email index, search and tagging (emacs interface)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides an emacs based mail user agent based on
 notmuch.

Package: notmuch-vim
Architecture: all
Breaks: notmuch (<<0.6~254~)
Replaces: notmuch (<<0.6~254~)
Depends: ${misc:Depends}, notmuch, vim-addon-manager, vim-ruby, ruby-notmuch
Recommends: ruby-mail
Description: thread-based email index, search and tagging (vim interface)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a vim based mail user agent based on
 notmuch.

Package: notmuch-mutt
Architecture: all
Depends:
 notmuch (>= 0.4),
 libmail-box-perl, libmailtools-perl,
 libstring-shellquote-perl, libterm-readline-gnu-perl,
 ${misc:Depends}
Recommends: mutt
Enhances: notmuch, mutt
Description: thread-based email index, search and tagging (Mutt interface)
 notmuch-mutt provides integration among the Mutt mail user agent and
 the Notmuch mail indexer.
 .
 notmuch-mutt offer two main integration features. The first one is
 the ability of stating a search query interactively and then jump to
 a fresh Maildir containing its search results only. The second one is
 the ability to reconstruct threads on the fly starting from the
 current highlighted mail.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=notmuch

%:
	dh $@ --with python3,elpa

override_dh_auto_configure:
	BASHCMD=/bin/bash ./configure --prefix=/usr \
		--libdir=/usr/lib/$$(dpkg-architecture -q DEB_TARGET_MULTIARCH) \
		--includedir=/usr/include \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--sysconfdir=/etc \
		--zshcompletiondir=/usr/share/zsh/vendor-completions \
		--localstatedir=/var

override_dh_auto_build:
	dh_auto_build -- V=1
	dh_auto_build --buildsystem=pybuild --sourcedirectory bindings/python
	$(MAKE) -C contrib/notmuch-mutt

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=pybuild --sourcedirectory bindings/python
	dh_auto_clean --sourcedirectory bindings/ruby
	$(MAKE) -C contrib/notmuch-mutt clean

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=pybuild --sourcedirectory bindings/python
	$(MAKE) -C contrib/notmuch-mutt DESTDIR=$(CURDIR)/debian/tmp install
	dh_auto_install --sourcedirectory bindings/ruby

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),armhf)
	dh_auto_test || true
endif

## notmuch 0.31

=== debian/changelog ===
notmuch (0.31-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Sep 2020 14:54:26 +0200

notmuch (0.31-1) unstable; urgency=medium

  * New upstream release
  * Compatibility fixes for Emacs 27.1

 -- David Bremner <bremner@debian.org>  Sat, 05 Sep 2020 21:47:42 -0300

notmuch (0.31~rc2-1) experimental; urgency=medium

  * New upstream release candidate
  * Bug fix: "suggest elpa-mailscripts", thanks to Sean Whitton (Closes:
    #944269).
  * Bug fix: "suggest mailscripts", thanks to Sean Whitton (Closes:
    #944270).
  * Bug fix: "please drop transitional package notmuch-emacs from
    src:notmuch", thanks to Holger Levsen (Closes: #940738).

 -- David Bremner <bremner@debian.org>  Tue, 25 Aug 2020 07:51:33 -0300

notmuch (0.31~rc1-1) experimental; urgency=medium

  * Fix buggy test in T562-lib-database
  * Clean up generated file in source package.

 -- David Bremner <bremner@debian.org>  Mon, 17 Aug 2020 21:05:46 -0300

notmuch (0.31~rc0-1) experimental; urgency=medium

  * New upstream release candidate.
  * Update notmuch-emacs for compatibility with GNU Emacs 27.1.

 -- David Bremner <bremner@debian.org>  Sun, 16 Aug 2020 11:08:14 -0300

notmuch (0.30-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Jul 2020 12:32:51 +0200

notmuch (0.30-1) unstable; urgency=medium

  * New upstream release
  * Improvements to S/MIME handling
  * Repairs to some mangled MIME messages
  * New python bindings (notmuch2) compatible with current python 3

 -- David Bremner <bremner@debian.org>  Fri, 10 Jul 2020 22:24:14 -0300

notmuch (0.30~rc3-1) experimental; urgency=medium

  * New upstream release candidate
  * Mark two tests broken on legacy (32 bit time_t) architectures.
  * Drop -std=c99

 -- David Bremner <bremner@debian.org>  Fri, 03 Jul 2020 06:48:51 -0300

notmuch (0.30~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upstream fixes for new python bindings (python3-notmuch2).
  * Update debian/copyright (one new author).

 -- David Bremner <bremner@debian.org>  Tue, 16 Jun 2020 08:32:16 -0300

notmuch (0.30~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * Update debian/changelog (new copyright holders)

 -- David Bremner <bremner@debian.org>  Sat, 06 Jun 2020 08:06:56 -0300

notmuch (0.30~rc0-2) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Mon, 01 Jun 2020 21:01:27 -0300

=== debian/control ===
Source: notmuch
Section: mail
Priority: optional
Maintainer: Carl Worth <cworth@debian.org>
Uploaders:
 Jameson Graef Rollins <jrollins@finestructure.net>,
 David Bremner <bremner@debian.org>,
Build-Conflicts:
 gdb [ia64 mips mips64el],
 ruby1.8,
Build-Depends:
 bash-completion (>=1.9.0~),
 debhelper-compat (= 12),
 dh-elpa (>= 1.3),
 dh-python,
 desktop-file-utils,
 doxygen,
 dpkg-dev (>= 1.17.14),
 dtach (>= 0.8) <!nocheck>,
 emacs-nox | emacs-gtk | emacs-lucid | emacs25-nox | emacs25 (>=25~) | emacs25-lucid (>=25~) | emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~),
 gdb [!ia64 !mips !mips64el !kfreebsd-any !alpha] <!nocheck>,
 gnupg <!nocheck>,
 gpgsm <!nocheck>,
 libgmime-3.0-dev (>= 3.0.3~),
 libpython3-all-dev,
 libtalloc-dev,
 libxapian-dev,
 libz-dev,
 pkg-config,
 python3-all (>= 3.1.2-7~),
 python3-cffi,
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools,
 python3-sphinx,
 ruby,
 ruby-dev (>>1:1.9.3~),
 texinfo,
Standards-Version: 4.4.1
Homepage: https://notmuchmail.org/
Vcs-Git: https://git.notmuchmail.org/git/notmuch -b release
Vcs-Browser: https://git.notmuchmail.org/git/notmuch
Rules-Requires-Root: no

Package: notmuch
Architecture: any
Depends:
 libnotmuch5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 elpa-notmuch | notmuch-vim | notmuch-mutt | alot,
 gnupg-agent,
 gpgsm,
Suggests:
 mailscripts
Description: thread-based email index, search and tagging
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains the notmuch command-line interface

Package: libnotmuch5
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: thread-based email index, search and tagging (runtime)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains the runtime library, necessary to run
 applications using libnotmuch.

Package: libnotmuch-dev
Section: libdevel
Architecture: any
Depends:
 libnotmuch5 (= ${binary:Version}),
 ${misc:Depends},
Description: thread-based email index, search and tagging (development)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides the necessary development libraries and header
 files to allow you to develop new software using libnotmuch.

Package: python3-notmuch
Architecture: all
Section: python
Depends:
 libnotmuch5 (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 legacy interface to the notmuch mail search and index library
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a legacy Python 3 interface to the notmuch
 functionality, directly interfacing with a shared notmuch library.
 .
 New projects are encouraged to use python3-notmuch2 instead.

Package: python3-notmuch2
Architecture: any
Section: python
Depends:
 libnotmuch5 (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python 3 interface to the notmuch mail search and index library
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a Python 3 interface to the notmuch
 functionality using CFFI bindings, which interface with a shared
 notmuch library.
 .
 This is the preferred way to use notmuch via Python.

Package: ruby-notmuch
Architecture: any
Section: ruby
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ruby interface to the notmuch mail search and index library
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a Ruby interface to the notmuch
 functionality, directly interfacing with a shared notmuch library.

Package: elpa-notmuch
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Suggests: elpa-mailscripts
Description: thread-based email index, search and tagging (emacs interface)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides an emacs based mail user agent based on
 notmuch.

Package: notmuch-vim
Architecture: all
Breaks:
 notmuch (<<0.6~254~),
Replaces:
 notmuch (<<0.6~254~),
Depends:
 notmuch,
 ruby-notmuch,
 vim-addon-manager,
 vim-ruby,
 ${misc:Depends},
Recommends:
 ruby-mail,
Description: thread-based email index, search and tagging (vim interface)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a vim based mail user agent based on
 notmuch.

Package: notmuch-mutt
Architecture: all
Depends:
 libmail-box-perl,
 libmailtools-perl,
 libstring-shellquote-perl,
 libterm-readline-gnu-perl,
 notmuch (>= 0.4),
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 mutt,
Enhances:
 mutt,
 notmuch,
Description: thread-based email index, search and tagging (Mutt interface)
 notmuch-mutt provides integration among the Mutt mail user agent and
 the Notmuch mail indexer.
 .
 notmuch-mutt offer two main integration features. The first one is
 the ability of stating a search query interactively and then jump to
 a fresh Maildir containing its search results only. The second one is
 the ability to reconstruct threads on the fly starting from the
 current highlighted mail.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export PYBUILD_NAME=notmuch
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with python3,elpa
@@ -17,18 +17,21 @@
 
 override_dh_auto_build:
 	dh_auto_build -- V=1
-	dh_auto_build --buildsystem=pybuild --sourcedirectory bindings/python
+	PYBUILD_NAME=notmuch dh_auto_build --buildsystem=pybuild --sourcedirectory bindings/python
+	PYBUILD_NAME=notmuch2 dh_auto_build --buildsystem=pybuild --sourcedirectory bindings/python-cffi
 	$(MAKE) -C contrib/notmuch-mutt
 
 override_dh_auto_clean:
 	dh_auto_clean
-	dh_auto_clean --buildsystem=pybuild --sourcedirectory bindings/python
+	PYBUILD_NAME=notmuch dh_auto_clean --buildsystem=pybuild --sourcedirectory bindings/python
+	PYBUILD_NAME=notmuch2 dh_auto_clean --buildsystem=pybuild --sourcedirectory bindings/python-cffi
 	dh_auto_clean --sourcedirectory bindings/ruby
 	$(MAKE) -C contrib/notmuch-mutt clean
 
 override_dh_auto_install:
 	dh_auto_install
-	dh_auto_install --buildsystem=pybuild --sourcedirectory bindings/python
+	PYBUILD_NAME=notmuch dh_auto_install --buildsystem=pybuild --sourcedirectory bindings/python
+	PYBUILD_NAME=notmuch2 dh_auto_install --buildsystem=pybuild --sourcedirectory bindings/python-cffi
 	$(MAKE) -C contrib/notmuch-mutt DESTDIR=$(CURDIR)/debian/tmp install
 	dh_auto_install --sourcedirectory bindings/ruby

## notmuch 0.31.2

=== debian/changelog ===
notmuch (0.31.2-3~bpo10+2) buster-backports; urgency=medium

  * Re-upload with binaries for NEW package.

 -- David Bremner <bremner@debian.org>  Sun, 13 Dec 2020 13:23:57 -0400

notmuch (0.31.2-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Require dh-elpa >= 2.0.6~
  * Disable dwz for ruby extension (work-around bug in binutils default
    dwarf level).

 -- David Bremner <bremner@debian.org>  Sun, 13 Dec 2020 10:56:52 -0400

notmuch (0.31.2-3) unstable; urgency=medium

  * Switch to debhelper compat level 13

 -- David Bremner <bremner@debian.org>  Mon, 09 Nov 2020 13:59:47 -0400

notmuch (0.31.2-2) unstable; urgency=medium

  * Run tests in verbose mode

 -- David Bremner <bremner@debian.org>  Mon, 09 Nov 2020 08:45:38 -0400

notmuch (0.31.2-1) unstable; urgency=medium

  * Delete stray "version" file in upstream source

 -- David Bremner <bremner@debian.org>  Sun, 08 Nov 2020 11:32:45 -0400

notmuch (0.31.1-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Portability / C++20 fixes
    - Fix initialization bug in library config handling.

 -- David Bremner <bremner@debian.org>  Sun, 08 Nov 2020 07:48:22 -0400

notmuch (0.29.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- David Bremner <bremner@debian.org>  Wed, 27 May 2020 11:49:20 -0300

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
  David Bremner <bremner@debian.org>,
 Build-Conflicts:
  gdb [ia64 mips mips64el],
+ gdb-minimal,
  ruby1.8,
 Build-Depends:
  bash-completion (>=1.9.0~),
- debhelper-compat (= 12),
- dh-elpa (>= 1.3),
+ debhelper-compat (= 13),
+ dh-elpa (>= 2.0.6~),
  dh-python,
  desktop-file-utils,
  doxygen,

## notmuch 0.31.3

=== debian/changelog ===
notmuch (0.31.3-2) unstable; urgency=medium

  * Don't install gdb on hppa (skip gdb based tests)

 -- David Bremner <bremner@debian.org>  Sat, 26 Dec 2020 15:14:07 -0400

notmuch (0.31.3-1) unstable; urgency=medium

  * New upstream bugfix release
  * Second fix for T360, fix regression on ppc64el
  * Fix for exclude tags in notmuch2 python bindings
  * Fix for memory error in notmuch_database_get_config_list

 -- David Bremner <bremner@debian.org>  Fri, 25 Dec 2020 11:48:37 -0400

notmuch (0.31.2-5) unstable; urgency=medium

  * Use readelf instead of nm in T360, hopefully build in ppc64

 -- David Bremner <bremner@debian.org>  Sun, 13 Dec 2020 08:24:23 -0400

notmuch (0.31.2-4) unstable; urgency=medium

  * Move prerequisite to file targets from phony ones. Thanks to
    Lucas Nussbaum for the report. (Closes: #976934).

 -- David Bremner <bremner@debian.org>  Thu, 10 Dec 2020 21:02:20 -0400

## notmuch 0.31.4

=== debian/changelog ===
notmuch (0.31.4-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- David Bremner <bremner@debian.org>  Fri, 10 Sep 2021 07:34:54 -0300

notmuch (0.31.4-2) unstable; urgency=medium

  * Cherry pick upstream commit 3f4de98e7c8, which fixes a bug where
    duplicate message-ids can cause multiple thread-ids for some message
    documents.
  * Add build-dependency on xapian-tools, for new test

 -- David Bremner <bremner@debian.org>  Mon, 28 Jun 2021 22:48:02 -0300

notmuch (0.31.4-1) unstable; urgency=medium

  * New upstream bugfix release
    - Fix include bug triggered by glib 2.67
    - Fix race condition in T568-lib-thread

 -- David Bremner <bremner@debian.org>  Thu, 18 Feb 2021 07:23:00 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Jameson Graef Rollins <jrollins@finestructure.net>,
  David Bremner <bremner@debian.org>,
 Build-Conflicts:
- gdb [ia64 mips mips64el],
+ gdb [ia64 mips mips64el hppa],
  gdb-minimal,
  ruby1.8,
 Build-Depends:
@@ -19,7 +19,7 @@
  dpkg-dev (>= 1.17.14),
  dtach (>= 0.8) <!nocheck>,
  emacs-nox | emacs-gtk | emacs-lucid | emacs25-nox | emacs25 (>=25~) | emacs25-lucid (>=25~) | emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~),
- gdb [!ia64 !mips !mips64el !kfreebsd-any !alpha] <!nocheck>,
+ gdb [!ia64 !mips !mips64el !kfreebsd-any !alpha !hppa] <!nocheck>,
  gnupg <!nocheck>,
  gpgsm <!nocheck>,
  libgmime-3.0-dev (>= 3.0.3~),
@@ -37,6 +37,7 @@
  ruby,
  ruby-dev (>>1:1.9.3~),
  texinfo,
+ xapian-tools <!nocheck>,
 Standards-Version: 4.4.1
 Homepage: https://notmuchmail.org/
 Vcs-Git: https://git.notmuchmail.org/git/notmuch -b release

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,12 @@
 		--sysconfdir=/etc \
 		--zshcompletiondir=/usr/share/zsh/vendor-completions \
 		--localstatedir=/var
+
+override_dh_auto_test:
+	dh_auto_test -- V=1
+
+override_dh_dwz:
+	dh_dwz -Xruby
 
 override_dh_auto_build:
 	dh_auto_build -- V=1
@@ -34,8 +40,3 @@
 	PYBUILD_NAME=notmuch2 dh_auto_install --buildsystem=pybuild --sourcedirectory bindings/python-cffi
 	$(MAKE) -C contrib/notmuch-mutt DESTDIR=$(CURDIR)/debian/tmp install
 	dh_auto_install --sourcedirectory bindings/ruby
-
-override_dh_auto_test:
-ifeq ($(DEB_HOST_ARCH),armhf)
-	dh_auto_test || true
-endif

## notmuch 0.33.1

=== debian/changelog ===
notmuch (0.33.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- David Bremner <bremner@debian.org>  Mon, 20 Sep 2021 07:19:11 -0300

notmuch (0.33.1-1) unstable; urgency=medium

  * Upstream fix for flaky tests in T590-libconfig

 -- David Bremner <bremner@debian.org>  Fri, 10 Sep 2021 08:28:48 -0300

notmuch (0.33-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- David Bremner <bremner@debian.org>  Fri, 10 Sep 2021 07:52:49 -0300

notmuch (0.33-2) unstable; urgency=medium

  * Disable two flaky tests in T590-libconfig.

 -- David Bremner <bremner@debian.org>  Sat, 04 Sep 2021 11:29:44 -0700

notmuch (0.33-1) unstable; urgency=medium

  * New upstream release
  * See /usr/share/doc/notmuch/NEWS.gz for user visible changes.

 -- David Bremner <bremner@debian.org>  Fri, 03 Sep 2021 12:24:41 -0700

notmuch (0.33~rc0-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Thu, 26 Aug 2021 08:27:42 -0700

notmuch (0.32.3-1) unstable; urgency=medium

  * new upstream bugfix release
  * fixes for a few configuration related bugs introduced in 0.32
  * bump libnotmuch minor version to match documentation.

 -- David Bremner <bremner@debian.org>  Tue, 17 Aug 2021 17:16:09 -0700

notmuch (0.32.2-1) experimental; urgency=medium

  * New upstream bugfix release
  * Fix for memory leak in "notmuch new" introduced in 0.32
  * Fix for bug from 2017 that can add duplicate thread-ids to messages.

 -- David Bremner <bremner@debian.org>  Sat, 26 Jun 2021 22:33:56 -0300

notmuch (0.32.1-1) experimental; urgency=medium

  * New upstream bugfix release
  * Configuration bug fixes (see /usr/share/doc/notmuch/NEWS.gz)
  * Bug fix for {pre,after}-tag hooks in emacs, related to lexical scope
    transition.

 -- David Bremner <bremner@debian.org>  Sat, 15 May 2021 09:01:27 -0300

notmuch (0.32-1) experimental; urgency=medium

  * New upstream release
  * Speedup for handling deleted message files
  * New configuration features (see /usr/share/doc/notmuch/NEWS.gz) 
  * Emacs interface codebase cleanup

 -- David Bremner <bremner@debian.org>  Sun, 02 May 2021 07:05:15 -0300

notmuch (0.32~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Wed, 28 Apr 2021 07:05:22 -0300

notmuch (0.32~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Sat, 24 Apr 2021 12:46:10 -0300

## notmuch 0.33.2

=== debian/changelog ===
notmuch (0.33.2-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Oct 2021 08:28:11 +0200

notmuch (0.33.2-1) unstable; urgency=medium

  * Upstream fix for flaky/hanging tests in T355-smime

 -- David Bremner <bremner@debian.org>  Thu, 30 Sep 2021 08:27:10 -0300

notmuch (0.33.1-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Sep 2021 13:13:18 +0200

notmuch (0.33-2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Sep 2021 14:39:21 +0200

notmuch (0.33-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Sep 2021 20:47:32 +0200

notmuch (0.32.3-1ubuntu2) impish; urgency=medium

  * debian/patches/8675be1d.patch:
    - cherry-pick upstream test fix, thanks Bremner!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Aug 2021 09:01:59 +0200

notmuch (0.32.3-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Aug 2021 13:23:22 +0200

notmuch (0.31.4-2ubuntu2) impish; urgency=medium

  * Revert ignore test results on armhf, looks working now.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Jun 2021 09:53:56 +0200

notmuch (0.31.4-2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Jun 2021 09:23:37 +0200

notmuch (0.31.4-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Feb 2021 10:20:10 +0100

notmuch (0.31.3-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Dec 2020 21:55:42 +0100

notmuch (0.31.3-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Dec 2020 22:48:10 +0100

notmuch (0.31.2-4ubuntu2) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Dec 2020 09:32:43 +0100

notmuch (0.31.2-3ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 11 Nov 2020 18:26:40 +0100

notmuch (0.31-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 12:43:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
  David Bremner <bremner@debian.org>,
 Build-Conflicts:
  gdb [ia64 mips mips64el hppa],
- gdb-minimal,
  ruby1.8,
 Build-Depends:
  bash-completion (>=1.9.0~),
  debhelper-compat (= 13),
- dh-elpa (>= 2.0.6~),
+ dh-elpa (>= 1.3),
  dh-python,
  desktop-file-utils,
  doxygen,

## notmuch 0.35

=== debian/changelog ===
notmuch (0.35-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Mar 2022 12:41:48 +0200

notmuch (0.35-2) unstable; urgency=medium

  * Disable test smime.4, which is broken by gmime 3.2.9 thanks to Lucas
    Nussbaum for the report (Closes: #1008462).

 -- David Bremner <bremner@debian.org>  Mon, 28 Mar 2022 11:45:11 -0600

notmuch (0.35-1ubuntu2) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Feb 2022 09:42:09 +0100

notmuch (0.35-1) unstable; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Sun, 06 Feb 2022 12:15:19 -0400

notmuch (0.35~rc0-2) experimental; urgency=medium

  * Reupload with binaries

 -- David Bremner <bremner@debian.org>  Sat, 29 Jan 2022 21:53:29 -0400

notmuch (0.35~rc0-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Sat, 29 Jan 2022 18:14:57 -0400

notmuch (0.34.3-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - d/rules: Disable LTO to fix FTBFS on s390x.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jan 2022 11:07:32 +0100

notmuch (0.34.3-1) unstable; urgency=medium

  * New upstream bugfix release, with several fixes for the notmuch2
    python module.

 -- David Bremner <bremner@debian.org>  Sun, 09 Jan 2022 15:30:38 -0400

notmuch (0.34.2-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - d/rules: Disable LTO to fix FTBFS on s390x.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Dec 2021 12:35:35 +0100

notmuch (0.34.2-1) unstable; urgency=medium

  * New upstream bugfix with release, with fixes database location in
    library and notmuch2 python module.
  * Build only against the default version of python, to avoid including
    multiple .abi3.so files in python3-notmuch2

 -- David Bremner <bremner@debian.org>  Fri, 10 Dec 2021 09:35:43 -0400

notmuch (0.34.1-1ubuntu3) jammy; urgency=medium

  * d/rules: Disable LTO to fix FTBFS on s390x.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 08 Dec 2021 20:08:48 -0500

notmuch (0.34.1-1ubuntu2) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 07 Dec 2021 11:15:58 -0300

notmuch (0.34.1-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 07 Nov 2021 02:54:55 +0100

notmuch (0.34.1-1) unstable; urgency=medium

  * New upstream bugfix release. Fixes a memory deallocation error in
    libnotmuch.

 -- David Bremner <bremner@debian.org>  Wed, 03 Nov 2021 10:20:33 -0300

notmuch (0.34-1) unstable; urgency=medium

  * New upstream release
  * Adds s-expression based query parser (man notmuch-sexp-queries).
  * Bug fix: "notmuch breaks on directory removal", thanks to Joerg
    Jaspert (Closes: #922536).
  * Respect notmuch-show-text/html-blocked-images for renderer w3m
    (Closes: #934082).
  * Bug fix: "add an option to change the database path", thanks to
    Michael Gold (Closes: #887041) (actually fixed in 0.32)

 -- David Bremner <bremner@debian.org>  Wed, 20 Oct 2021 11:15:23 -0300

notmuch (0.34~rc0-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Fri, 15 Oct 2021 08:50:57 -0300

=== debian/control ===
--- 
+++ 
@@ -22,12 +22,13 @@
  gnupg <!nocheck>,
  gpgsm <!nocheck>,
  libgmime-3.0-dev (>= 3.0.3~),
- libpython3-all-dev,
+ libpython3-dev,
+ libsexp-dev,
  libtalloc-dev,
  libxapian-dev,
  libz-dev,
  pkg-config,
- python3-all (>= 3.1.2-7~),
+ python3,
  python3-cffi,
  python3-pytest,
  python3-pytest-cov,
@@ -54,7 +55,8 @@
  gnupg-agent,
  gpgsm,
 Suggests:
- mailscripts
+ mailscripts,
+ notmuch-doc,
 Description: thread-based email index, search and tagging
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -62,6 +64,21 @@
  convenient search syntax.
  .
  This package contains the notmuch command-line interface
+
+Package: notmuch-doc
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Suggests:
+ notmuch
+Description: thread-based email index, search and tagging
+ Notmuch is a system for indexing, searching, reading, and tagging
+ large collections of email messages in maildir or mh format. It uses
+ the Xapian library to provide fast, full-text search with a very
+ convenient search syntax.
+ .
+ This package contains the HTML documentation
 
 Package: libnotmuch5
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with python3,elpa
+	dh $@ --with python3,elpa,sphinxdoc
 
 override_dh_auto_configure:
 	BASHCMD=/bin/bash ./configure --prefix=/usr \
@@ -16,13 +16,10 @@
 		--localstatedir=/var
 
 override_dh_auto_test:
-	dh_auto_test -- V=1
-
-override_dh_dwz:
-	dh_dwz -Xruby
+	NOTMUCH_SKIP_TESTS=smime.4 dh_auto_test -- V=1
 
 override_dh_auto_build:
-	dh_auto_build -- V=1
+	dh_auto_build -- V=1 all sphinx-html
 	PYBUILD_NAME=notmuch dh_auto_build --buildsystem=pybuild --sourcedirectory bindings/python
 	PYBUILD_NAME=notmuch2 dh_auto_build --buildsystem=pybuild --sourcedirectory bindings/python-cffi
 	$(MAKE) -C contrib/notmuch-mutt

## notmuch 0.36

=== contrib/go/Makefile ===
# Makefile for the go bindings of notmuch

export GOPATH      ?= $(shell pwd)
export CGO_CFLAGS  ?= -I../../../../lib
export CGO_LDFLAGS ?= -L../../../../lib

GO         ?= go
GOFMT      ?= gofmt

all: notmuch notmuch-addrlookup

.PHONY: notmuch
notmuch:
	$(GO) install notmuch

.PHONY: goconfig
goconfig:
	if [ ! -d github.com/msbranco/goconfig ]; then \
	    $(GO) get github.com/msbranco/goconfig; \
	fi

.PHONY: notmuch-addrlookup
notmuch-addrlookup: notmuch goconfig
	$(GO) install notmuch-addrlookup

.PHONY: format
format:
	$(GOFMT) -w=true $(GOFMT_OPTS) src/notmuch
	$(GOFMT) -w=true $(GOFMT_OPTS) src/notmuch-addrlookup

.PHONY: check-format
check-format:
	$(GOFMT) -d=true $(GOFMT_OPTS) src/notmuch
	$(GOFMT) -d=true $(GOFMT_OPTS) src/notmuch-addrlookup

.PHONY: clean
clean:
	$(GO) clean notmuch
	$(GO) clean notmuch-addrlookup
	rm -rf pkg bin

=== debian/changelog ===
notmuch (0.36-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- David Bremner <bremner@debian.org>  Sat, 30 Apr 2022 14:28:50 -0300

notmuch (0.36-1) unstable; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Mon, 25 Apr 2022 08:47:41 -0300

notmuch (0.36~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * Fix for build in environments where libsexp is not available
    (i.e. outside Debian).

 -- David Bremner <bremner@debian.org>  Sat, 16 Apr 2022 08:37:12 -0300

notmuch (0.36~rc0-1) experimental; urgency=medium

  * New upstream release candidate
  * Re-enable test smime.4, allegedly fixed upstream.

 -- David Bremner <bremner@debian.org>  Fri, 15 Apr 2022 08:45:10 -0300

notmuch (0.35-1~bpo11+2) bullseye-backports; urgency=medium

  * Once more with binaries

 -- David Bremner <bremner@debian.org>  Tue, 15 Feb 2022 22:56:20 -0400

notmuch (0.35-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- David Bremner <bremner@debian.org>  Tue, 15 Feb 2022 20:54:43 -0400

notmuch (0.34.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- David Bremner <bremner@debian.org>  Mon, 10 Jan 2022 11:03:13 -0400

## notmuch 0.37

=== devel/nmbug/doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
DOCBUILDDIR   := _build

SRCDIR ?= .
ALLSPHINXOPTS := -d $(DOCBUILDDIR)/doctrees $(SPHINXOPTS) $(SRCDIR)

MAN_RST_FILES := $(shell find $(SRCDIR)/man* -name '*.rst')
MAN_ROFF_FILES := $(patsubst $(SRCDIR)/man%.rst,$(DOCBUILDDIR)/man/man%,$(MAN_RST_FILES))
MAN_GZIP_FILES := $(addsuffix .gz,$(MAN_ROFF_FILES))

.PHONY: build-man
build-man: $(MAN_GZIP_FILES)

%.gz: %
	rm -f $@ && gzip --stdout $^ > $@

$(MAN_ROFF_FILES): $(DOCBUILDDIR)/.roff.stamp

# By using $(DOCBUILDDIR)/.roff.stamp instead of $(MAN_ROFF_FILES), we
# convey to make that a single invocation of this recipe builds all
# of the roff files.  This prevents parallel make from starting an
# instance of this recipe for each roff file.
$(DOCBUILDDIR)/.roff.stamp $(MAN_ROFF_FILES): $(MAN_RST_FILES)
	mkdir -p $(DOCBUILDDIR)
	touch $(DOCBUILDDIR)/.roff.stamp
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(DOCBUILDDIR)/man
	for section in 1 5; do \
	    mkdir -p $(DOCBUILDDIR)/man/man$${section}; \
	    mv $(DOCBUILDDIR)/man/*.$${section} $(DOCBUILDDIR)/man/man$${section}; \
	done

clean:
	rm -rf $(DOCBUILDDIR) $(SRCDIR)/conf.pyc

=== debian/changelog ===
notmuch (0.37-1ubuntu3) lunar; urgency=medium

  * No-change upload to remove support for ruby3.0.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 06 Feb 2023 23:27:07 +0530

notmuch (0.37-1ubuntu2) kinetic; urgency=medium

  * Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Oct 2022 20:58:07 +0200

notmuch (0.37-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Aug 2022 14:33:26 +0200

notmuch (0.37-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on emacs-el to work around #1017698

 -- David Bremner <bremner@debian.org>  Wed, 24 Aug 2022 09:12:19 -0700

notmuch (0.37~rc0-3) experimental; urgency=medium

  * Another no-change re-upload with binaries.

 -- David Bremner <bremner@debian.org>  Sun, 14 Aug 2022 11:49:21 -0300

notmuch (0.37~rc0-2) experimental; urgency=medium

  * Binary upload for NEW (notmuch-git is a new binary package)

 -- David Bremner <bremner@debian.org>  Sun, 14 Aug 2022 10:55:24 -0300

notmuch (0.37~rc0-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Sun, 14 Aug 2022 07:28:22 -0300

notmuch (0.36-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Apr 2022 09:58:43 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,9 @@
  dpkg-dev (>= 1.17.14),
  dtach (>= 0.8) <!nocheck>,
  emacs-nox | emacs-gtk | emacs-lucid | emacs25-nox | emacs25 (>=25~) | emacs25-lucid (>=25~) | emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~),
+ emacs-el,
  gdb [!ia64 !mips !mips64el !kfreebsd-any !alpha !hppa] <!nocheck>,
+ git <!nocheck>,
  gnupg <!nocheck>,
  gpgsm <!nocheck>,
  libgmime-3.0-dev (>= 3.0.3~),
@@ -65,6 +67,22 @@
  .
  This package contains the notmuch command-line interface
 
+Package: notmuch-git
+Architecture: all
+Depends:
+ git,
+ notmuch,
+ python3,
+ ${misc:Depends}
+Description: thread-based email index, search and tagging
+ Notmuch is a system for indexing, searching, reading, and tagging
+ large collections of email messages in maildir or mh format. It uses
+ the Xapian library to provide fast, full-text search with a very
+ convenient search syntax.
+ .
+ This package contains a simple tool to save, restore, and synchronize
+ notmuch tags via git repositories.
+
 Package: notmuch-doc
 Architecture: all
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 		--sysconfdir=/etc \
 		--zshcompletiondir=/usr/share/zsh/vendor-completions \
 		--localstatedir=/var
-
-override_dh_auto_test:
-	NOTMUCH_SKIP_TESTS=smime.4 dh_auto_test -- V=1
 
 override_dh_auto_build:
 	dh_auto_build -- V=1 all sphinx-html
@@ -37,3 +34,6 @@
 	PYBUILD_NAME=notmuch2 dh_auto_install --buildsystem=pybuild --sourcedirectory bindings/python-cffi
 	$(MAKE) -C contrib/notmuch-mutt DESTDIR=$(CURDIR)/debian/tmp install
 	dh_auto_install --sourcedirectory bindings/ruby
+
+override_dh_auto_test:
+	dh_auto_test --no-parallel

## notmuch 0.37-1~bpo11+2+11.0trisquel0

=== debian/changelog ===
notmuch (0.37-1~bpo11+2+11.0trisquel0) aramo-backports; urgency=medium

  * Backport latest fixes from debian.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 30 May 2024 17:50:35 +0000

notmuch (0.37-1~bpo11+2) bullseye-backports; urgency=medium

  * reupload with binaries.

 -- David Bremner <bremner@debian.org>  Mon, 10 Oct 2022 14:09:56 -0300

notmuch (0.37-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- David Bremner <bremner@debian.org>  Mon, 10 Oct 2022 12:56:30 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: notmuch
 Section: mail
 Priority: optional
-Maintainer: Carl Worth <cworth@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders:
  Jameson Graef Rollins <jrollins@finestructure.net>,
  David Bremner <bremner@debian.org>,
 Build-Conflicts:
  gdb [ia64 mips mips64el hppa],
+ gdb (>= 12.1-0ubuntu1~22.04),
  ruby1.8,
 Build-Depends:
  bash-completion (>=1.9.0~),

## notmuch 0.38

=== debian/changelog ===
notmuch (0.38-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- David Bremner <bremner@debian.org>  Tue, 19 Sep 2023 07:39:53 -0300

notmuch (0.38-2) unstable; urgency=medium

  * Restrict autopkgtests to amd64 and aarch64. There are failures in
    remaining architectures, but the same tests pass at build time, so any
    bugs are probably related to either the autopkgtest environment, or
    the (new) upstream test runner for installed notmuch.

 -- David Bremner <bremner@debian.org>  Wed, 13 Sep 2023 19:55:00 -0300

notmuch (0.38-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "FTBFS: 6 tests failed.", thanks to Aurelien Jarno (Closes:
    #1051111).
  * Run most of upstream test suite as autopkgtests

 -- David Bremner <bremner@debian.org>  Tue, 12 Sep 2023 08:33:24 -0300

notmuch (0.38~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Sun, 03 Sep 2023 09:10:24 -0300

notmuch (0.38~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * Hopefully reduce/eliminate intermittent failures of T460 by
    controlling Emacs native compilation.
  * Disable T810-tsan on ppc64el

 -- David Bremner <bremner@debian.org>  Sat, 26 Aug 2023 08:31:21 -0300

notmuch (0.38~rc0-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Thu, 24 Aug 2023 10:56:06 -0300
